Bug 1572554 - [7.4-Alt] Unable to execute QEMU command 'dump-guest-memory': dump: failed to save memory
Summary: [7.4-Alt] Unable to execute QEMU command 'dump-guest-memory': dump: failed to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-ma
Version: 7.4-Alt
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 7.6
Assignee: Laurent Vivier
QA Contact: Minjia Cai
URL:
Whiteboard:
Depends On: 1481595
Blocks: 1513404 1528344
TreeView+ depends on / blocked
 
Reported: 2018-04-27 10:17 UTC by Miroslav Rezanina
Modified: 2018-10-30 08:05 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1481595
Environment:
Last Closed: 2018-10-30 08:03:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3062 None None None 2018-10-30 08:05:02 UTC

Comment 4 Minjia Cai 2018-07-04 02:13:02 UTC
Reproduce:

Version-Release number of selected component (if applicable):
Host: 
    kernel: 3.10.0-862.9.1.el7.ppc64le
    qemu-kvm-rhev-2.10.0-21.el7_5.4.ppc64le
    SLOF-20170724-2.git89f519f.el7.noarch


Guest kernel: kernel:  3.10.0-862.9.1.el7.ppc64le

How reproducible: 100%



Steps to Reproduce:
1. Define one vm and boot up it, for example:
/usr/libexec/qemu-kvm \
    -name 'avocado-vt-vm1'  \
    -sandbox off  \
    -machine pseries  \
    -nodefaults  \
    -vga std  \
    -chardev socket,id=qmp_id_catch_monitor,path=/var/tmp/monitor-catch_monitor0,server,nowait \
    -mon chardev=qmp_id_catch_monitor,mode=control  \
    -chardev socket,id=serial_id_serial0,path=/var/tmp/serial-serial0,server,nowait \
    -device spapr-vty,reg=0x30000000,chardev=serial_id_serial0 \
    -device nec-usb-xhci,id=usb1,bus=pci.0,addr=0x3 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,bus=pci.0,addr=0x4 \
    -drive id=drive_image1,if=none,snapshot=off,aio=threads,cache=none,format=qcow2,file=/home/RHEL-7.5-20180322.0.qcow2 \
    -device scsi-hd,id=image1,drive=drive_image1 \
    -device virtio-net-pci,mac=9a:4a:4b:4c:4d:4e,id=net0,netdev=tap0,bus=pci.0,addr=0x5,vectors=514,mq=on  \
    -netdev tap,id=tap0,vhost=on \
    -m 8G  \
    -smp 8,cores=4,threads=2,sockets=1 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1  \
    -device usb-kbd,id=usb-kbd1,bus=usb1.0,port=2  \
    -vnc :1  \
    -rtc base=utc,clock=host  \
    -boot menu=off,strict=off,order=cdn,once=c \
    -enable-kvm \
    -qmp tcp:0:6666,server,nowait \
    -monitor stdio \



2. [root@ibm-p8-rhevm-08 home]# sh test.sh
QEMU 2.10.0 monitor - type 'help' for more information
(qemu) systemctl stop kdump
unknown command: 'systemctl'
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test1
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test2
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test3
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test3
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test4
dump: failed to save memory



3. Check the crash coredump file is automatically created on Host:
[root@ibm-p8-rhevm-08 dump]# ls -lh /var/lib/libvirt/qemu/dump/
total 46G
-rw------- 1 root root 7.6G Jul  3 03:23 guest
-r-------- 1 root root 8.1G Jul  3 04:31 test
-r-------- 1 root root 8.1G Jul  3 04:32 test1
-r-------- 1 root root 8.1G Jul  3 04:34 test2
-r-------- 1 root root 8.1G Jul  3 04:37 test3
-r-------- 1 root root 6.0G Jul  3 04:48 test4
[root@ibm-p8-rhevm-08 dump]# df -h /var/lib/libvirt/qemu/dump/
Filesystem                                Size  Used Avail Use% Mounted on
/dev/mapper/rhel_ibm--p8--rhevm--08-root   50G   50G  650M  99% /
 
the result as 2:the error message is not explicit


Steps to verify:
change host qemu-kvm-rhel version to:
qemu-kvm-rhev-2.12.0-6.el7.ppc64le.rpm  

1.boot the vm 
2.[root@ibm-p8-rhevm-08 home]# sh test.sh
QEMU 2.12.0 monitor - type 'help' for more information
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test1
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test2
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test2
(qemu) 
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test3
(qemu) dump-guest-memory  /var/lib/libvirt/qemu/dump/test4
dump: failed to save memory: No space left on device
(qemu) 
3.
[root@ibm-p8-rhevm-08 home]#  df -h /var/lib/libvirt/qemu/dump/
Filesystem                                Size  Used Avail Use% Mounted on
/dev/mapper/rhel_ibm--p8--rhevm--08-root   50G   50G   64K 100% /
[root@ibm-p8-rhevm-08 home]# ls -lh /var/lib/libvirt/qemu/dump/
total 48G
-rw------- 1 root root 7.6G Jul  3 03:23 guest
-r-------- 1 root root 8.1G Jul  3 05:27 test
-r-------- 1 root root 8.1G Jul  3 05:28 test1
-r-------- 1 root root 8.1G Jul  3 21:48 test2
-r-------- 1 root root 8.1G Jul  3 21:52 test3
-r-------- 1 root root 7.6G Jul  3 21:54 test4




the result as 2:the error message is explicit(No space left on device).

Comment 6 errata-xmlrpc 2018-10-30 08:03:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3062


Note You need to log in before you can comment on or make changes to this bug.